
%define RELEASE 1
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}

Name: cDonkey
Version: 0.8.5
Release: %rel
Summary: an eDonkey client/server
Copyright: GPL
Group: Applications/Communications
Vendor: Thomas Lussnig <thomas #at# @suche.org>
Packager: Ivan Leong <ivan_leongmw #at# yahoo.com>
Url: http://cdonkey.suche.org/
Source: http://suche.org/cDonkey-%version.tar.bz2
Prefix: /usr/local
BuildRoot: %_tmppath/%name-%version-root
Requires: db4
Requires: glibc
Requires: libgcc
Requires: libstdc++
Requires: zlib

%description
cDonkey is an open and free core client in C++ for the eDonkey protocol.
The design goal is not to create one more gui but an stable and
up-to-date (eMule support) core client for Linux.

It also supports most server functions except file-/user-search.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%attr(755,root,root) %prefix/bin/%name
%doc COPYING INSTALL README TODO FAQ-*
%doc overnet.txt ip.prefix kademlia.lst

